Doctrine\Tests\Models\DDC964\DDC964User:
  type: mappedSuperclass
  id:
    id: 
      type: integer
      column: user_id
      length: 150
      generator:
        strategy: AUTO
  fields:
    name:
      type: string
      column: user_name
      length: 250
      nullable: true
      unique: false
  manyToOne:
    address:
      targetEntity: DDC964Address
      joinColumn:
        name: address_id
        referencedColumnName: id
      cascade: [ persist, merge ]
  manyToMany:
    groups:
      targetEntity: DDC964Group
      joinTable:
        name: ddc964_users_groups
        joinColumns:
          user_id:
            referencedColumnName: id
        inverseJoinColumns:
          group_id:
            referencedColumnName: id
      cascade: [ persist, merge, detach ]
